Summary: amanda - Advanced Maryland Automatic Network Disk Archiver
Name: amanda
Version: 2.4.0
Release: 4
Group: System/Backup
Copyright: See COPYRIGHT-* files for details.
Packager: Adrian L. Hosey <ahosey@kiva.net>
Vendor: SysThug
URL: http://www.amanda.org/
Source0: ftp://ftp.amanda.org/pub/amanda/amanda-2.4.0.tar.gz
Source1: README.RPM
Patch0: chio.h
Patch1: amanda-2.4.0-patch.19980428

%description
amanda is an intelligent, flexible, network-oriented backup system.
It is primarily a "controller" of other archive software, so you will
need a utility such as tar or dump already installed. You need to have
an 'amanda' user and an 'amanda' group on your system before installing
the packages.

%package client
Summary: amanda client software
Group: System/Backup
Requires: tar >= 1.12
Conflicts: amanda-debug-client
%description client
amanda is an intelligent, flexible, network-oriented backup system.
It is primarily a "controller" of other archive software, so you will
need a utility such as tar or dump already installed. You need to have
an 'amanda' user and an 'amanda' group on your system before installing
the packages.

This package contains the client software for dumping to and restoring
from an amanda tape server.

%package server
Summary: amanda server software
Group: System/Backup
Requires: tar >= 1.12
Requires: mailx
Conflicts: amanda-debug-server
%description server
amanda is an intelligent, flexible, network-oriented backup system.
It is primarily a "controller" of other archive software, so you will
need a utility such as tar or dump already installed. You need to have
an 'amanda' user and an 'amanda' group on your system before installing
the packages.

This package contains the server software for dumping from and
restoring to amanda clients.

%prep
%setup
/usr/bin/install $RPM_SOURCE_DIR/chio.h /usr/include/sys/chio.h
%patch1 -p1

%build
./configure --prefix='/usr' --sysconfdir='/etc' --with-db=text \
--with-amandahosts --with-index-server='amandahost' \
--with-gnutar-listdir=/var/log/amanda --with-tape-device=/dev/nst0 \
--with-user=amanda --with-group=amanda
make CFLAGS="-g -DHAVE_SYS_CHIO_H"

%install
make install
/usr/bin/install -d /var/log/amanda/
/usr/bin/install -d /etc/amanda/
chown amanda.amanda /var/log/amanda
chown amanda.amanda /etc/amanda
touch /etc/amandates
chown amanda.amanda /etc/amandates
# Clean build-related files out of example/ so they don't go into the docs.
rm -f example/Makefile*
rm -f example/*.in

%files client
%dir /var/log/amanda
%config /etc/amandates
/usr/lib/libamanda.la
/usr/lib/libamanda.a
/usr/lib/libamanda.so
/usr/lib/libamanda.so.3
/usr/lib/libamanda.so.3.2.0
/usr/lib/libamnolog.la
/usr/lib/libamnolog.a
/usr/lib/libamnolog.so
/usr/lib/libamnolog.so.0
/usr/lib/libamnolog.so.0.0.0
/usr/lib/libamclient.la
/usr/lib/libamclient.a
/usr/lib/libamclient.so
/usr/lib/libamclient.so.0
/usr/lib/libamclient.so.0.0.4
/usr/lib/libamtape.la
/usr/lib/libamtape.a
/usr/lib/libamtape.so
/usr/lib/libamtape.so.1
/usr/lib/libamtape.so.1.0.1
/usr/libexec/versionsuffix
/usr/libexec/amandad
/usr/libexec/calcsize
/usr/libexec/rundump
/usr/libexec/runtar
/usr/libexec/selfcheck
/usr/libexec/sendbackup
/usr/libexec/sendsize
/usr/libexec/patch-system
/usr/libexec/amidxtaped
/usr/sbin/amrestore
/usr/sbin/amrecover
/usr/man/man8/amadmin.8
/usr/man/man8/amplot.8
/usr/man/man8/amrecover.8
/usr/man/man8/amrestore.8
/usr/man/man8/amrmtape.8
/usr/man/man8/amtape.8
/usr/man/man8/amtoc.8
/usr/man/man8/amverify.8
/usr/man/man8/amanda.8
/usr/man/man8/amcheck.8
/usr/man/man8/amcheckdb.8
/usr/man/man8/amcleanup.8
/usr/man/man8/amdump.8
/usr/man/man8/amflush.8
/usr/man/man8/amlabel.8
/usr/man/man8/amoverview.8
%doc CHANGES
%doc COPYRIGHT
%doc README
%doc $RPM_SOURCE_DIR/README.RPM
%doc COPYRIGHT-APACHE
%doc COPYRIGHT-REGEX
%doc docs/INDEXING
%doc docs/KERBEROS
%doc docs/SAMBA
%doc docs/TAPE.CHANGERS
%doc docs/WHATS.NEW
%doc docs/INSTALL
%doc docs/MULTITAPE
%doc docs/SUNOS4.BUG
%doc docs/TAPETYPES
%doc docs/WISHLIST
%doc docs/INTERNALS
%doc docs/RESTORE
%doc docs/SYSTEM.NOTES
%doc docs/UPGRADE
%doc example

%files server
%dir /var/log/amanda
%dir /etc/amanda
/usr/include/sys/chio.h
/usr/lib/libamanda.la
/usr/lib/libamanda.a
/usr/lib/libamanda.so
/usr/lib/libamanda.so.3
/usr/lib/libamanda.so.3.2.0
/usr/lib/libamnolog.la
/usr/lib/libamnolog.a
/usr/lib/libamnolog.so
/usr/lib/libamnolog.so.0
/usr/lib/libamnolog.so.0.0.0
/usr/lib/libamclient.la
/usr/lib/libamclient.a
/usr/lib/libamclient.so
/usr/lib/libamclient.so.0
/usr/lib/libamclient.so.0.0.4
/usr/lib/libamtape.la
/usr/lib/libamtape.a
/usr/lib/libamtape.so
/usr/lib/libamtape.so.1
/usr/lib/libamtape.so.1.0.1
/usr/lib/libamserver.la
/usr/lib/libamserver.a
/usr/lib/libamserver.so
/usr/lib/libamserver.so.3
/usr/lib/libamserver.so.3.0.0
/usr/libexec/versionsuffix
/usr/libexec/amindexd
/usr/libexec/amtrmidx
/usr/libexec/driver
/usr/libexec/dumper
/usr/libexec/getconf
/usr/libexec/planner
/usr/libexec/reporter
/usr/libexec/taper
/usr/sbin/amadmin
/usr/sbin/amcheck
/usr/sbin/amflush
/usr/sbin/amlabel
/usr/sbin/amtape
/usr/sbin/amcheckdb
/usr/sbin/amcleanup
/usr/sbin/amdump
/usr/sbin/amoverview
/usr/sbin/amrmtape
/usr/sbin/amtoc
/usr/sbin/amverify
/usr/sbin/amrestore
/usr/sbin/amplot
/usr/libexec/amidxtaped
/usr/libexec/chg-chio
/usr/libexec/chg-manual
/usr/libexec/chg-multi
/usr/libexec/chg-mtx
/usr/libexec/chg-rth
/usr/libexec/chg-chs
/usr/libexec/amcat.awk
/usr/libexec/amplot.awk
/usr/libexec/amplot.g
/usr/libexec/amplot.gp
/usr/man/man8/amadmin.8
/usr/man/man8/amplot.8
/usr/man/man8/amrecover.8
/usr/man/man8/amrestore.8
/usr/man/man8/amrmtape.8
/usr/man/man8/amtape.8
/usr/man/man8/amtoc.8
/usr/man/man8/amverify.8
/usr/man/man8/amanda.8
/usr/man/man8/amcheck.8
/usr/man/man8/amcheckdb.8
/usr/man/man8/amcleanup.8
/usr/man/man8/amdump.8
/usr/man/man8/amflush.8
/usr/man/man8/amlabel.8
/usr/man/man8/amoverview.8
%doc CHANGES
%doc COPYRIGHT
%doc README
%doc $RPM_SOURCE_DIR/README.RPM
%doc COPYRIGHT-APACHE
%doc COPYRIGHT-REGEX
%doc docs/INDEXING
%doc docs/KERBEROS
%doc docs/SAMBA
%doc docs/TAPE.CHANGERS
%doc docs/WHATS.NEW
%doc docs/INSTALL
%doc docs/MULTITAPE
%doc docs/SUNOS4.BUG
%doc docs/TAPETYPES
%doc docs/WISHLIST
%doc docs/INTERNALS
%doc docs/RESTORE
%doc docs/SYSTEM.NOTES
%doc docs/UPGRADE
%doc example
